Bug 78507 - request flexble handling of 'olddir'
Summary: request flexble handling of 'olddir'
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: logrotate   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-24 22:53 UTC by Marcel Mol
Modified: 2015-01-08 00:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-24 22:54:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff to alood relative paths for olddir (2.92 KB, patch)
2002-11-24 22:54 UTC, Marcel Mol
no flags Details | Diff

Description Marcel Mol 2002-11-24 22:53:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
olddir basicvally only works when specifying an absolute path.
I'd like to sepcify olddir as an relative path in which case the directory of
the logfile name is prepensded to it to form the actual
olddir directory

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. example logrotate.conf:

    olddir oldlogs

    /root/test.log {
        daily
        rotate 2
    }


2. run logrotate 
3. you get an error message and logrotate quits


Actual Results:  
error: /etc/logrotate.conf:14 error verifying olddir path oldlogs: No such file
or directory

Expected Results:  It shoudl prepend '/root/' to olddir and use that als the
resulting olddir value.

Additional info:

I've a patch ready for this

Comment 1 Marcel Mol 2002-11-24 22:54:53 UTC
Created attachment 86244 [details]
diff to alood relative paths for olddir

Comment 2 Elliot Lee 2002-12-10 17:50:16 UTC
I've put something along these lines into CVS. Seems to pass 'make test', good enough for 
me :)

Thanks for the patch!


Note You need to log in before you can comment on or make changes to this bug.